//**************************************************************************************************
//*  libtrivia: various little routines for C++
//*  string_ops: string operations
//*  (C) Joachim Wuttke 2001, 2012-
//*  http://apps.jcns.fz-juelich.de
//**************************************************************************************************

namespace triv {

    bool str2vec( std::string inp, std::vector<double> *V, size_t nmax=0, bool force=true );
    void string_extract_word( const std::string& in, std::string *out1, std::string *out2 );
    void string_extract_line( const std::string& in, std::string *out1, std::string *out2 );
    void split( const std::string& in, std::vector<std::string>& out,
                const std::string& delimiters = " \t" );
    std::string strip( const std::string& str, const char* sepSet=" \n" );
    
}
